package com.slodon.b2b2c.vo.statistics;

import com.slodon.b2b2c.core.util.TimeUtil;
import com.slodon.b2b2c.statistics.pojo.base.MemberBase;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 *
 * 封装会员分析-会员报表Vo对象
 * @author wuxy
 */
@Data
public class MemberReportVO {

//    @ApiModelProperty("会员id")
//    private Integer memberId;

    @ApiModelProperty("会员名称")
    private String memberName;

    @ApiModelProperty("注册时间")
    private String registerTime;

    @ApiModelProperty("充值金额")
    private BigDecimal rechargeAmount;

    @ApiModelProperty("下单数")
    private Integer orderSubmitNum;

    @ApiModelProperty("下单金额")
    private BigDecimal orderSubmitAmount;

    @ApiModelProperty("支付订单数")
    private Integer orderPayNum;

    @ApiModelProperty("支付金额")
    private BigDecimal orderPayAmount;

    @ApiModelProperty("退单数")
    private Integer returnNum;

    @ApiModelProperty("退款金额")
    private BigDecimal returnAmount;

    public MemberReportVO(MemberBase MemberBase) {
//        this.memberId = MemberBase.getMemberId();
        this.memberName = MemberBase.getMemberName();
        this.registerTime = TimeUtil.getDateTimeString(MemberBase.getRegisterTime());
        this.rechargeAmount = MemberBase.getRechargeAmount();
        this.orderSubmitNum = MemberBase.getOrderSubmitNum();
        this.orderSubmitAmount = MemberBase.getOrderSubmitAmount();
        this.orderPayNum = MemberBase.getOrderPayNum();
        this.orderPayAmount = MemberBase.getOrderPayAmount();
        this.returnNum = MemberBase.getReturnNum();
        this.returnAmount = MemberBase.getReturnAmount();
    }

}
